<!DOCTYPE html>

<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <meta name="description" content="">
  <meta name="author" content="">
  <link rel="icon" href="../../../../favicon.ico">

  <title>Advance Network Scanner</title>

  <!-- Bootstrap core CSS -->
  <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
    integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">

  <!-- Custom styles for this template -->
  <link href="/static/jumbotron-narrow.css" rel="stylesheet">
</head>

<body>

  <div class="container">
    <div class="header clearfix">
      <nav>
        <ul class="nav nav-pills float-right">
          <li class="nav-item">
            <a class="nav-link active" href="/">Scan<span class="sr-only">(current)</span></a>
          </li>
          <li class="nav-item">
            <a class="nav-link" href="/recent">Recent</a>
          </li>
          <li class="nav-item">

          </li>
        </ul>
      </nav>
      <h3 class="text-muted">Advance Network Scanner</h3>
    </div>

    <div class="jumbotron">


      <p></p>
      <form action="/scan" method="POST">
        <div class="row" style>
            <div class="col-sm-4  col-5">
              <div class="form-group" style=""><label
                  style="display: inline-block; line-height: 24px; font-family: &quot;Courier New&quot;; font-weight: 900; letter-spacing: 0px; width: 80px; height: 25px;">IP
                  Range</label><input type="text" name="ip_address" id="ip_address" class="form-control"></div>
            </div>
            <div class="col-sm-4 col-5">
              <div class="form-group" style=""><label style="font-family: &quot;Courier New&quot;; font-weight: 900;">Port
                  Range</label><input type="text"  name="port_range" id="port_range" class="form-control"></div>
            </div>
            <div class="col-sm-4">
              <div class="form-group" style=""><label style="font-family: &quot;Courier New&quot;; font-weight: 900;">Scan
                  name</label><input type="text" name="scan_name" id="scan_name" class="form-control"></div>
            </div>
          </div>
          <div class="row" style="">
            <div class="col-sm-4">
              <div class="form-group" style=""><label style="font-family: &quot;Courier New&quot;; font-weight: 900;">Max
                  Thread use</label><input type="number" name="thread_num" id="thread_num" class="form-control"></div>
            </div>
            <div class="col-sm-4 col-5"><label class="checkbox"
                style="font-family: Courier New; text-align: center; margin-top: 35px;"><input type="checkbox" name="vuln_scan" id="vuln_scan">&nbsp;Vuln
                scan</label></div>
            <div class="col-sm-4"></div>
          </div><button type="submit" class="btn btn-primary" style="border-radius: 5%;">Run</button>
        </div>
      </form>
      <script>
        document.querySelector('form').addEventListener('submit', function(e) {
            e.target.querySelector('button[type="submit"]').outerHTML = `
            <div class="spinner-border text-primary" role="status">
              <span class="sr-only">Loading...</span>
            </div>
            `;
        });
      </script>
  </div> <!-- /container -->

  <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js"
    integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo"
    crossorigin="anonymous"></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js"
    integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1"
    crossorigin="anonymous"></script>
  <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js"
    integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM"
    crossorigin="anonymous"></script>


</body>

</html>